Bug 41227 - emptyspaces in css definitions disturb interpretation
Summary: emptyspaces in css definitions disturb interpretation
Status: RESOLVED FIXED
Alias: None
Product: quanta
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: András Manţia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-18 13:48 UTC by sven
Modified: 2003-09-04 21:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sven 2002-04-18 13:46:16 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           quanta
Version:           KDE 2.2.1 
Severity:          normal
Installed from:    Debian testing/unstable Packages
Compiler:          Not Specified
OS:                Linux
OS/Compiler notes: Not Specified

I made a website using the menu-controlled CSS routine in quanta.

The site was shown correctly in browsers using the mozilla engine but msiexplore did not show the formats defined via CSS.

After I modified the CSS generated by quanta everything works perfectly:

The automatically generated CSS-lines looked this way:

font-size: 10pt

Obviously the emptyspace between the style definition "font-size:" and the entry "10pt" made a correct interpretation in msiexplore impossible -- the modified line

font-size:10pt

works perfectly on all the browsers I tried (mozilla/win mozilla/debian galeon/debian msiexplore/win konqueror/linux).

As most of the internet users on this planet use msiexplore I'd like to ask for a change in Quanta's CSS-routines for otherwise they're not much help.

(Apart from this they're great - I just wanted to say this...)

(Submitted via bugs.kde.org)
(Called from KBugReport dialog. Fields Application KDE Version OS Compiler manually changed)
Comment 1 András Manţia 2003-05-10 13:54:34 UTC
Subject: quanta

CVS commit by amantia: 

Don't insert spaces before CSS values (it disturbs some browsers). If you still see similar problems, please report them. [Wish #41227]

CCMAIL: 41227-done@bugs.kde.org


  M +1 -0      ChangeLog   1.171
  M +65 -65    quanta/tagdialogs/cssselectoreditor.cpp   1.15



Comment 2 Jesse Kaufman 2003-09-04 21:17:09 UTC
Just FYI, for a few years, i've used the following format successfully in IE, 
Netscape (<6), Opera, KHTML-based, and Mozilla-based browsers without any 
problems what-so-ever:

font-size : 10pt;

I have thoroughly tested this on various versions of the previously-mented 
browsers and have never once seen it cause any problems.  One example is 
www.lloydnet.org, which uses this style of CSS formatting across the board.